#
# This is the SPEC file for creating binary RPMs for the Dom0.
#
#
# The Qubes OS Project, http://www.qubes-os.org
#
# Copyright (C) 2010  Joanna Rutkowska <joanna@invisiblethingslab.com>
# Copyright (C) 2010  Rafal Wojtczuk  <rafal@invisiblethingslab.com>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
#

Name:       qubes-desktop-linux-manager
Version:	4.2.4
Release:	1%{dist}
Summary:	Qubes UI Applications

Group:		Qubes
Vendor:		Invisible Things Lab
License:	GPL
URL:		http://www.qubes-os.org
Source0:    %{name}-%{version}.tar.gz

# because we have "#!/usr/bin/env python" shebangs, RPM puts
# "Requires: $(which # python)" dependency, which, depending on $PATH order,
# may point to /usr/bin/python or /bin/python (because Fedora has this stupid
# /bin -> usr/bin symlink). python*.rpm provides only /usr/bin/python.
AutoReq:	no

BuildArch: noarch

BuildRequires:  make
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  gettext

Requires:  python%{python3_pkgversion}-setuptools
Requires:  python%{python3_pkgversion}-gbulb
Requires:  python%{python3_pkgversion}-inotify
Requires:  libappindicator-gtk3
Requires:  python%{python3_pkgversion}-systemd
Requires:  gtk3
Requires:  python%{python3_pkgversion}-qubesadmin >= 4.1.8
# FIXME: we need some way for applying updates from GUI VM
#Requires:  qubes-mgmt-salt-dom0-update >= 4.0.5
Requires:  qubes-artwork >= 4.1.5
# for qui/widget-wrapper
Requires:  xhost

Provides:   qui = %{version}-%{release}
Obsoletes:  qui < 4.0.0


%description
A collection of GUI application for enhancing the Qubes UX.

%prep
%setup

%build
%py3_build

%install
%py3_install
make install DESTDIR=$RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/Adwaita &>/dev/null || :

%postun
if [ $1 -eq 0 ]; then
    touch --no-create %{_datadir}/icons/Adwaita &>/dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/Adwaita &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/Adwaita &>/dev/null || :

%files
%defattr(-,root,root,-)

%dir %{python3_sitelib}/qui-*.egg-info
%{python3_sitelib}/qui-*.egg-info/*

%dir %{python3_sitelib}/qui
%dir %{python3_sitelib}/qui/__pycache__
%{python3_sitelib}/qui/__pycache__/*
%{python3_sitelib}/qui/__init__.py
%{python3_sitelib}/qui/decorators.py
%{python3_sitelib}/qui/clipboard.py
%{python3_sitelib}/qui/updater.py
%{python3_sitelib}/qui/utils.py
%{python3_sitelib}/qui/updater.glade

%dir %{python3_sitelib}/qui/tray/
%dir %{python3_sitelib}/qui/tray/__pycache__
%{python3_sitelib}/qui/tray/__pycache__/*
%{python3_sitelib}/qui/tray/__init__.py
%{python3_sitelib}/qui/tray/domains.py
%{python3_sitelib}/qui/tray/devices.py
%{python3_sitelib}/qui/tray/disk_space.py
%{python3_sitelib}/qui/tray/updates.py

%dir %{python3_sitelib}/qubes_config
%dir %{python3_sitelib}/qubes_config/__pycache__
%{python3_sitelib}/qubes_config/__init__.py
%{python3_sitelib}/qubes_config/__pycache__/*
%{python3_sitelib}/qubes_config/global_config/__init__.py
%{python3_sitelib}/qubes_config/global_config/__pycache__/*
%{python3_sitelib}/qubes_config/global_config/basics_handler.py
%{python3_sitelib}/qubes_config/global_config/conflict_handler.py
%{python3_sitelib}/qubes_config/global_config/global_config.py
%{python3_sitelib}/qubes_config/global_config/page_handler.py
%{python3_sitelib}/qubes_config/global_config/policy_handler.py
%{python3_sitelib}/qubes_config/global_config/policy_manager.py
%{python3_sitelib}/qubes_config/global_config/policy_rules.py
%{python3_sitelib}/qubes_config/global_config/policy_exceptions_handler.py
%{python3_sitelib}/qubes_config/global_config/rule_list_widgets.py
%{python3_sitelib}/qubes_config/global_config/thisdevice_handler.py
%{python3_sitelib}/qubes_config/global_config/updates_handler.py
%{python3_sitelib}/qubes_config/global_config/usb_devices.py
%{python3_sitelib}/qubes_config/global_config/vm_flowbox.py
%{python3_sitelib}/qubes_config/new_qube/__init__.py
%{python3_sitelib}/qubes_config/new_qube/__pycache__/*
%{python3_sitelib}/qubes_config/new_qube/advanced_handler.py
%{python3_sitelib}/qubes_config/new_qube/application_selector.py
%{python3_sitelib}/qubes_config/new_qube/network_selector.py
%{python3_sitelib}/qubes_config/new_qube/new_qube_app.py
%{python3_sitelib}/qubes_config/new_qube/template_handler.py
%{python3_sitelib}/qubes_config/widgets/__init__.py
%{python3_sitelib}/qubes_config/widgets/__pycache__/*
%{python3_sitelib}/qubes_config/widgets/gtk_utils.py
%{python3_sitelib}/qubes_config/widgets/gtk_widgets.py
%{python3_sitelib}/qubes_config/widgets/utils.py

%{python3_sitelib}/qubes_config/global_config.glade
%{python3_sitelib}/qubes_config/new_qube.glade
%{python3_sitelib}/qubes_config/qubes-colors-dark.css
%{python3_sitelib}/qubes_config/qubes-colors-light.css
%{python3_sitelib}/qubes_config/qubes-global-config-base.css
%{python3_sitelib}/qubes_config/qubes-global-config-light.css
%{python3_sitelib}/qubes_config/qubes-global-config-dark.css
%{python3_sitelib}/qubes_config/qubes-new-qube-base.css
%{python3_sitelib}/qubes_config/qubes-new-qube-light.css
%{python3_sitelib}/qubes_config/qubes-new-qube-dark.css
%{python3_sitelib}/qubes_config/qubes-widgets-base.css

%{_bindir}/qui-domains
%{_bindir}/qui-devices
%{_bindir}/qui-disk-space
%{_bindir}/qui-updates
%{_bindir}/qui-clipboard
%{_bindir}/qubes-update-gui
/etc/xdg/autostart/qui-domains.desktop
/etc/xdg/autostart/qui-devices.desktop
/etc/xdg/autostart/qui-clipboard.desktop
/etc/xdg/autostart/qui-disk-space.desktop
/etc/xdg/autostart/qui-updates.desktop
/usr/share/icons/Adwaita/22x22/devices/generic-usb.png
/usr/share/icons/Adwaita/22x22/status/outdated.png
/usr/share/applications/qubes-update-gui.desktop
/usr/bin/widget-wrapper
/lib/systemd/user/qubes-widget@.service
/usr/share/locale/en/LC_MESSAGES/desktop-linux-manager.mo
/usr/share/locale/pl/LC_MESSAGES/desktop-linux-manager.mo

/usr/share/applications/qubes-global-config.desktop
/usr/share/applications/qubes-new-qube.desktop

%{_bindir}/qubes-new-qube
%{_bindir}/qubes-global-config

/usr/share/icons/hicolor/16x16/apps/qui-domains.png
/usr/share/icons/hicolor/24x24/apps/qui-domains.png
/usr/share/icons/hicolor/32x32/apps/qui-domains.png
/usr/share/icons/hicolor/40x40/apps/qui-domains.png
/usr/share/icons/hicolor/48x48/apps/qui-domains.png
/usr/share/icons/hicolor/72x72/apps/qui-domains.png
/usr/share/icons/hicolor/96x96/apps/qui-domains.png
/usr/share/icons/hicolor/128x128/apps/qui-domains.png

/usr/share/icons/hicolor/scalable/apps/qubes-ask.svg
/usr/share/icons/hicolor/scalable/apps/qubes-customize.svg
/usr/share/icons/hicolor/scalable/apps/qubes-delete.svg
/usr/share/icons/hicolor/scalable/apps/qubes-expander-hidden-black.svg
/usr/share/icons/hicolor/scalable/apps/qubes-expander-shown-black.svg
/usr/share/icons/hicolor/scalable/apps/qubes-expander-hidden-white.svg
/usr/share/icons/hicolor/scalable/apps/qubes-expander-shown-white.svg
/usr/share/icons/hicolor/scalable/apps/qubes-info.svg
/usr/share/icons/hicolor/scalable/apps/qubes-key.svg
/usr/share/icons/hicolor/scalable/apps/qubes-logo.svg
/usr/share/icons/hicolor/scalable/apps/qubes-ok.svg
/usr/share/icons/hicolor/scalable/apps/qubes-padlock.svg
/usr/share/icons/hicolor/scalable/apps/qubes-question-light.svg
/usr/share/icons/hicolor/scalable/apps/qubes-question.svg
/usr/share/icons/hicolor/scalable/apps/qubes-this-device.svg
/usr/share/icons/hicolor/scalable/apps/qubes-new-qube.svg
/usr/share/icons/hicolor/scalable/apps/qubes-global-config.svg
/usr/share/icons/hicolor/scalable/apps/check_no.svg
/usr/share/icons/hicolor/scalable/apps/check_maybe.svg
/usr/share/icons/hicolor/scalable/apps/check_yes.svg

%changelog
* Sat Feb 18 2023 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-desktop-linux-manager

* Sat Feb 18 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b932206
- version 4.2.4

* Thu Feb 16 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - e9ca417
- Avoid changing dictionary we're iterating over

* Wed Feb 08 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 2705bb2
- More tests for input devices config

* Wed Feb 08 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - c9ca660
- pylint update

* Tue Feb 07 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 3d8608a
- Fix policies for Input Devices

* Tue Feb 07 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4d7900c
- version 4.2.3

* Tue Feb 07 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 45444a9
- Use xhost instead of xdpyinfo for checking if X server is alive

* Fri Jan 20 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f311808
- version 4.2.2

* Thu Jan 05 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 2bb47ca
- Perform all VM operations as threads in qui-domains

* Mon Jan 02 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 719e84a
- Cope gracefully with errors of qvm-appmenus

* Mon Jan 02 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - d933d6a
- Fix usage of format/f-strings for gettext

* Mon Dec 19 2022 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 21c1080
- Compatibility/security report

* Sat Dec 17 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 786d647
- version 4.2.1

* Fri Dec 16 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 13826dd
- Do not require qubes-mgmt-salt-dom0-update directly

* Thu Dec 08 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f5f5a00
- version 4.2.0

* Thu Dec 08 2022 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - e116e35
- Add detecting changes in raw policy text

* Thu Dec 08 2022 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 24b20bf
- Fix updating initial value in text dropdowns

* Thu Dec 08 2022 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 16badf1
- Improve formatting

* Thu Dec 08 2022 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 68aa035
- Remove a superfluous variable

* Thu Dec 08 2022 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 1bdc940
- Refactor raw policy handler as a separate handler

* Thu Dec 08 2022 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - a6d431f
- Improve error handling in policy config

* Thu Dec 08 2022 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - e85099f
- Change Open File/URL policy to more reasonable version

* Thu Dec 08 2022 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 5c9bd66
- Refactor ExceptionsList to a separate files

* Thu Dec 08 2022 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 8a4ec98
- Improve AdminVM approach: remove dom0 from most policy configs

* Thu Dec 08 2022 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - e4dba08
- Use --get-default-whitelist qubes-appmenus option for Create New Qube

* Thu Dec 08 2022 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 6f7ddab
- Add 'copy system info to global clipboard' button

* Thu Dec 08 2022 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - bde5175
- Show errors on loading policy rules

* Thu Dec 08 2022 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - ea1a5e3
- Add gitlab CI integration

* Thu Dec 08 2022 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 8abee61
- New Config Tool and new New Qube tool

* Tue Oct 18 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 264ecde
- version 4.1.15

* Tue Oct 18 2022 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - c4fc66b
- Remove boilerplate run code

* Tue Oct 18 2022 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 6d3b7e7
- Deal with missing icons in a more flexible way

* Tue Oct 18 2022 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 2483ea2
- Fix inconsistent behavior on checkbox/row click

* Thu Sep 29 2022 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 2c0fa3a
- Make Qubes Update tool panes resizable

* Thu Sep 29 2022 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 07a60a3
- Handle variable copy/paste shortcut in Clipboard Widget

* Fri Jul 22 2022 dominoomni <109735700+dominoomni@users.noreply.github.com> - 5995d6e
- update updater.glade details_label mnemonics v4.1

* Fri Jul 22 2022 dominoomni <109735700+dominoomni@users.noreply.github.com> - 6756a2b
- update updater.glide with details_label chkbx v4.1

* Fri Jul 22 2022 dominoomni <109735700+dominoomni@users.noreply.github.com> - 60fb738
- update updater.py with details_label checkbox v4.1

* Mon Jul 11 2022 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - bbd1b49
- Fix pylint's complaints

* Thu Jul 07 2022 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 615eabf
- Fix set being changed during iteration

* Fri Jul 01 2022 Ilka Schulz <qubes@schulz.com.de> - 82f9eb4
- GUI: use mnemonics

* Fri Jul 01 2022 Ilka Schulz <qubes@schulz.com.de> - fb7a503
- GUI: bump Glade version to "3.38.1"

* Wed May 11 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5da41e1
- version 4.1.14

* Mon May 09 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 2ff4187
- .qubesbuilder: replace 'spec' by 'build'

* Thu May 05 2022 noskb <63541981+noskb@users.noreply.github.com> - 2458a29
- clipboard: Close fd properly

* Thu Apr 21 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4d4bdeb
- Adjust for updated pylint

* Mon Apr 18 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - a75e850
- Add Qubes Builder v2 integration

* Fri Apr 15 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 33b6001
- Drop Travis CI

* Sun Apr 03 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 33745d3
- version 4.1.13

* Sat Apr 02 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 51676c8
- Ignore pylint's consider-using-with

